package com.ruoyi.index.mapper;

import java.util.List;
import com.ruoyi.index.domain.IndexV;

/**
 * 展示指标Mapper接口
 * 
 * @author ruoyi
 * @date 2021-12-28
 */
public interface IndexVMapper 
{
    /**
     * 查询展示指标
     * 
     * @param id 展示指标主键
     * @return 展示指标
     */
    public IndexV selectIndexVById(Long id);

    /**
     * 查询展示指标列表
     * 
     * @param indexV 展示指标
     * @return 展示指标集合
     */
    public List<IndexV> selectIndexVList(IndexV indexV);

    /**
     * 新增展示指标
     * 
     * @param indexV 展示指标
     * @return 结果
     */
    public int insertIndexV(IndexV indexV);

    /**
     * 修改展示指标
     * 
     * @param indexV 展示指标
     * @return 结果
     */
    public int updateIndexV(IndexV indexV);

    /**
     * 删除展示指标
     * 
     * @param id 展示指标主键
     * @return 结果
     */
    public int deleteIndexVById(Long id);

    /**
     * 批量删除展示指标
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIndexVByIds(String[] ids);
}
